Bug 961919 - [abrt] parole-0.5.0-1.fc18: strlen: Process /usr/bin/parole was killed by signal 11 (SIGSEGV)
[abrt] parole-0.5.0-1.fc18: strlen: Process /usr/bin/parole was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parole (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:52a34713aaf18084856726b6cd9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 14:28 EDT by Gonzalo San Gil
Modified: 2014-06-30 16:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:09:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.16 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: cgroup (127 bytes, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: core_backtrace (946 bytes, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: dso_list (7.87 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: environ (1.52 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: maps (23.04 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: open_fds (474 bytes, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: proc_pid_status (787 bytes, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: var_log_messages (291 bytes, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details
File: xsession_errors (105.11 KB, text/plain)
2013-05-10 14:29 EDT, Gonzalo San Gil
no flags Details

  None (edit)
Description Gonzalo San Gil 2013-05-10 14:28:59 EDT
Description of problem:
It crashes randomly -it's not the first time- while playing MP3 from an USB DVD-RW (Helwett Packard 1040) in workspace 2, while runing several tabs in Firefox (workspace 1) and an idle shell in W3...

System: Asus Eee901 + External Monitor (LG), Fedora 18, Linux Kernel ver 3.8.11-200.fc18.i686  

- Normally, restarting the application it continues playing...
... until the next random crash...

Version-Release number of selected component:
parole-0.5.0-1.fc18

Additional info:
backtrace_rating: 4
crash_function: strlen
executable:     /usr/bin/parole
kernel:         3.8.9-200.fc18.i686
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/i386/i686/multiarch/strlen-sse2.S:62
 #1 _dbus_string_init_const at dbus-string.c:196
 #2 _dbus_check_is_valid_utf8 at dbus-marshal-validate.c:1255
 #3 dbus_message_iter_append_basic at dbus-message.c:2598
 #5 marshal_strv at dbus-gvalue.c:1497
 #6 _dbus_gvalue_marshal at dbus-gvalue.c:2000
 #7 dbus_g_proxy_marshal_args_to_message at dbus-gproxy.c:2286
 #8 dbus_g_proxy_begin_call_internal at dbus-gproxy.c:2319
 #9 dbus_g_proxy_call at dbus-gproxy.c:2756
 #10 parole_send_files at main.c:146
Comment 1 Gonzalo San Gil 2013-05-10 14:29:02 EDT
Created attachment 746314 [details]
File: backtrace
Comment 2 Gonzalo San Gil 2013-05-10 14:29:04 EDT
Created attachment 746315 [details]
File: cgroup
Comment 3 Gonzalo San Gil 2013-05-10 14:29:07 EDT
Created attachment 746316 [details]
File: core_backtrace
Comment 4 Gonzalo San Gil 2013-05-10 14:29:09 EDT
Created attachment 746317 [details]
File: dso_list
Comment 5 Gonzalo San Gil 2013-05-10 14:29:11 EDT
Created attachment 746318 [details]
File: environ
Comment 6 Gonzalo San Gil 2013-05-10 14:29:13 EDT
Created attachment 746319 [details]
File: limits
Comment 7 Gonzalo San Gil 2013-05-10 14:29:16 EDT
Created attachment 746320 [details]
File: maps
Comment 8 Gonzalo San Gil 2013-05-10 14:29:18 EDT
Created attachment 746321 [details]
File: open_fds
Comment 9 Gonzalo San Gil 2013-05-10 14:29:20 EDT
Created attachment 746322 [details]
File: proc_pid_status
Comment 10 Gonzalo San Gil 2013-05-10 14:29:22 EDT
Created attachment 746323 [details]
File: var_log_messages
Comment 11 Gonzalo San Gil 2013-05-10 14:29:26 EDT
Created attachment 746324 [details]
File: xsession_errors
Comment 12 Christoph Wickert 2013-07-26 16:55:44 EDT
Thanks for submitting this crash report. Please try the update from
https://admin.fedoraproject.org/updates/parole-0.5.2-1.fc18 or
https://admin.fedoraproject.org/updates/parole-0.5.2-1.fc19 and let me know if it still crashes for you.
Comment 13 Fedora End Of Life 2013-12-21 08:28:45 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Filipe Rosset 2013-12-21 14:14:48 EST
Hi Gonzalo, are you able to reproduce the issue with never versions (0.5.2 or 0.5.4)?

F20 - https://admin.fedoraproject.org/updates/parole-0.5.4-1.fc20
Comment 15 Fedora End Of Life 2014-02-05 18:09:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Gonzalo San Gil 2014-06-30 16:04:11 EDT
This Bug is irrelevant no, once F20 is installed. TY @ll.

Note You need to log in before you can comment on or make changes to this bug.